/****************************************************************************
**
** mysms - Send & receive all your SMS on your Notebook, PC or tablet – like on your smartphone
** Copyright (C) 2013 Up To Eleven
** All rights reserved.
**
**
** This library is free software.  either version 2.1 of the License, or (at your option) any later version.
** you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation;
** either version 2.1 of the License, or (at your option) any later version.
**
**
** This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
** Without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
** See the GNU Lesser General Public License for more details.
**
** You should have received a copy of the GNU Lesser General Public License along with this library;
** if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
**
****************************************************************************/

#ifndef SOUNDSELECTOR_H
#define SOUNDSELECTOR_H

#include <QString>
#include <QObject>

#if QT_VERSION >= 0x050000
    #include <QAudioOutput>
    #include <QFile>
#endif

#define PLAYLISTSIZE 11

class SoundSelector : public QObject
{
    Q_OBJECT

public:
    static SoundSelector* getInstance();
    void playSound(int index);
    QString getSoundTitle(int index) const;

private:
    SoundSelector();
    static SoundSelector* mSoundSelector;

#if QT_VERSION >= 0x050000
    QFile m_soundFile;
    QAudioOutput *m_audioOutput;

public slots:
    void handleAudioOuputState(QAudio::State state);
#endif

};



#endif // SOUNDSELECTOR_H
